Subject: bug#38887: sassc has a memory leak

From: Jesse Gibbons <[email-masked]>
Date: Wed, 08 Jan 2020 06:50:39 -0700

Somehow this sent without the details I typed out. Sorry for that...

When I try to build arc-theme and leave it to run, the entire system
eventually freezes. When I monitor how much memory it takes, I see that
it spawns a sassc process that eventually takes all 30 GB of the RAM
not taken by GNOME and the other services. 

When I sent the initial bug report, I found an upstream github issue
that this could be related to, but I lost it.

What should be done? If someone tries to build arc-theme or other
packages that use sassc without a timeout, their system will probably
crash from memory usage.

-Jesse